# GstVaUtils

## Functions

### gst_context_get_va_display

    gboolean
    gst_context_get_va_display (GstContext * context,
                                const gchar * type_name,
                                const gchar * render_device_path,
                                GstVaDisplay ** display_ptr)

Parameters:

`context` –

a GstContext may contain the display

`type_name` –

a gchar string of the element type

`render_device_path` –

the gchar string of render device path

`display_ptr` ( [out][transfer: full]) –

the GstVaDisplay we get

Returns –

whether we find a valid display in the context

Since : 1.22

### GstVa.prototype.context_get_va_display

    function GstVa.prototype.context_get_va_display(context: Gst.Context, type_name: String, render_device_path: String): {
        // javascript wrapper for 'gst_context_get_va_display'
    }

Parameters:

`context` (Gst.Context) –

a Gst.Context may contain the display

`type_name` (String) –

a String string of the element type

`render_device_path` (String) –

the String string of render device path

Returns a tuple made of:

(Number ) –

whether we find a valid display in the context

`display_ptr` (GstVa.VaDisplay ) –

whether we find a valid display in the context

Since : 1.22

### GstVa.context_get_va_display

    def GstVa.context_get_va_display (context, type_name, render_device_path):
        #python wrapper for 'gst_context_get_va_display'

Parameters:

`context` (Gst.Context) –

a Gst.Context may contain the display

`type_name` (str) –

a int string of the element type

`render_device_path` (str) –

the int string of render device path

Returns a tuple made of:

(bool ) –

whether we find a valid display in the context

`display_ptr` (GstVa.VaDisplay ) –

whether we find a valid display in the context

Since : 1.22

### gst_context_set_va_display

    gst_context_set_va_display (GstContext * context,
                                GstVaDisplay * display)

Set the display in the context

Parameters:

`context` –

a GstContext

`display` –

the GstVaDisplay we want to set

Since : 1.22

### GstVa.prototype.context_set_va_display

    function GstVa.prototype.context_set_va_display(context: Gst.Context, display: GstVa.VaDisplay): {
        // javascript wrapper for 'gst_context_set_va_display'
    }

Set the display in the context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`display` (GstVa.VaDisplay) –

the GstVa.VaDisplay we want to set

Since : 1.22

### GstVa.context_set_va_display

    def GstVa.context_set_va_display (context, display):
        #python wrapper for 'gst_context_set_va_display'

Set the display in the context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`display` (GstVa.VaDisplay) –

the GstVa.VaDisplay we want to set

Since : 1.22

### gst_va_context_query

    gst_va_context_query (GstElement * element,
                          const gchar * context_type)

Query the specified context type name.

Parameters:

`element` –

a GstElement

`context_type` –

the gchar string specify the context type name

Since : 1.22

### GstVa.prototype.va_context_query

    function GstVa.prototype.va_context_query(element: Gst.Element, context_type: String): {
        // javascript wrapper for 'gst_va_context_query'
    }

Query the specified context type name.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`context_type` (String) –

the String string specify the context type name

Since : 1.22

### GstVa.va_context_query

    def GstVa.va_context_query (element, context_type):
        #python wrapper for 'gst_va_context_query'

Query the specified context type name.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`context_type` (str) –

the int string specify the context type name

Since : 1.22

### gst_va_element_propagate_display_context

    gst_va_element_propagate_display_context (GstElement * element,
                                              GstVaDisplay * display)

Propagate display by posting it as GstContext in the pipeline's bus.

Parameters:

`element` –

a GstElement

`display` –

the GstVaDisplay to propagate

Since : 1.22

### GstVa.prototype.va_element_propagate_display_context

    function GstVa.prototype.va_element_propagate_display_context(element: Gst.Element, display: GstVa.VaDisplay): {
        // javascript wrapper for 'gst_va_element_propagate_display_context'
    }

Propagate display by posting it as Gst.Context in the pipeline's bus.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`display` (GstVa.VaDisplay) –

the GstVa.VaDisplay to propagate

Since : 1.22

### GstVa.va_element_propagate_display_context

    def GstVa.va_element_propagate_display_context (element, display):
        #python wrapper for 'gst_va_element_propagate_display_context'

Propagate display by posting it as Gst.Context in the pipeline's bus.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`display` (GstVa.VaDisplay) –

the GstVa.VaDisplay to propagate

Since : 1.22

### gst_va_ensure_element_data

    gboolean
    gst_va_ensure_element_data (gpointer element,
                                const gchar * render_device_path,
                                GstVaDisplay ** display_ptr)

Called by the va element to ensure a valid GstVaDisplay.

Parameters:

`element` –

a GstElement

`render_device_path` –

the gchar string of render device path

`display_ptr` ( [out][transfer: full]) –

The GstVaDisplay to ensure

Returns –

whether a GstVaDisplay exists in display_ptr

Since : 1.22

### GstVa.prototype.va_ensure_element_data

    function GstVa.prototype.va_ensure_element_data(element: Object, render_device_path: String): {
        // javascript wrapper for 'gst_va_ensure_element_data'
    }

Called by the va element to ensure a valid GstVa.VaDisplay.

Parameters:

`element` (Object) –

a Gst.Element

`render_device_path` (String) –

the String string of render device path

Returns a tuple made of:

(Number ) –

whether a GstVa.VaDisplay exists in display_ptr

`display_ptr` (GstVa.VaDisplay ) –

whether a GstVa.VaDisplay exists in display_ptr

Since : 1.22

### GstVa.va_ensure_element_data

    def GstVa.va_ensure_element_data (element, render_device_path):
        #python wrapper for 'gst_va_ensure_element_data'

Called by the va element to ensure a valid GstVa.VaDisplay.

Parameters:

`element` (object) –

a Gst.Element

`render_device_path` (str) –

the int string of render device path

Returns a tuple made of:

(bool ) –

whether a GstVa.VaDisplay exists in display_ptr

`display_ptr` (GstVa.VaDisplay ) –

whether a GstVa.VaDisplay exists in display_ptr

Since : 1.22

### gst_va_handle_context_query

    gboolean
    gst_va_handle_context_query (GstElement * element,
                                 GstQuery * query,
                                 GstVaDisplay * display)

Used by elements when processing their pad's queries, propagating element's GstVaDisplay if the processed query requests it.

Parameters:

`element` –

a GstElement

`query` –

a GstQuery to query the context

`display` –

a GstVaDisplay to answer the query

Returns –

whether we can handle the context query successfully

Since : 1.22

### GstVa.prototype.va_handle_context_query

    function GstVa.prototype.va_handle_context_query(element: Gst.Element, query: Gst.Query, display: GstVa.VaDisplay): {
        // javascript wrapper for 'gst_va_handle_context_query'
    }

Used by elements when processing their pad's queries, propagating element's GstVa.VaDisplay if the processed query requests it.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query to query the context

`display` (GstVa.VaDisplay) –

a GstVa.VaDisplay to answer the query

Returns (Number) –

whether we can handle the context query successfully

Since : 1.22

### GstVa.va_handle_context_query

    def GstVa.va_handle_context_query (element, query, display):
        #python wrapper for 'gst_va_handle_context_query'

Used by elements when processing their pad's queries, propagating element's GstVa.VaDisplay if the processed query requests it.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query to query the context

`display` (GstVa.VaDisplay) –

a GstVa.VaDisplay to answer the query

Returns (bool) –

whether we can handle the context query successfully

Since : 1.22

### gst_va_handle_set_context

    gboolean
    gst_va_handle_set_context (GstElement * element,
                               GstContext * context,
                               const gchar * render_device_path,
                               GstVaDisplay ** display_ptr)

Called by elements in their set_context vmethod. It gets a valid GstVaDisplay if context has it.

Parameters:

`element` –

a GstElement

`context` –

a GstContext may contain the display

`render_device_path` –

the gchar string of render device path

`display_ptr` ( [out][transfer: full]) –

The GstVaDisplay to set

Returns –

whether the display_ptr could be successfully set to a valid GstVaDisplay in the context

Since : 1.22

### GstVa.prototype.va_handle_set_context

    function GstVa.prototype.va_handle_set_context(element: Gst.Element, context: Gst.Context, render_device_path: String): {
        // javascript wrapper for 'gst_va_handle_set_context'
    }

Called by elements in their vfunc_set_context vmethod. It gets a valid GstVa.VaDisplay if context has it.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`context` (Gst.Context) –

a Gst.Context may contain the display

`render_device_path` (String) –

the String string of render device path

Returns a tuple made of:

(Number ) –

whether the display_ptr could be successfully set to a valid GstVa.VaDisplay in the context

`display_ptr` (GstVa.VaDisplay ) –

whether the display_ptr could be successfully set to a valid GstVa.VaDisplay in the context

Since : 1.22

### GstVa.va_handle_set_context

    def GstVa.va_handle_set_context (element, context, render_device_path):
        #python wrapper for 'gst_va_handle_set_context'

Called by elements in their do_set_context vmethod. It gets a valid GstVa.VaDisplay if context has it.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`context` (Gst.Context) –

a Gst.Context may contain the display

`render_device_path` (str) –

the int string of render device path

Returns a tuple made of:

(bool ) –

whether the display_ptr could be successfully set to a valid GstVa.VaDisplay in the context

`display_ptr` (GstVa.VaDisplay ) –

whether the display_ptr could be successfully set to a valid GstVa.VaDisplay in the context

Since : 1.22

The results of the search are